
/* ApMenulist.p */
  
FOR EACH module NO-LOCK:

    /* modules are the highest level, no vertical bars */

    {&OUT} "~{" module.modulename "~}" SKIP.

    FOR EACH folder WHERE folder.moduleid = module.moduleid NO-LOCK:

        /* Folders are the second level, one vertical bar */

        {&OUT} "~{|" folder.foldername "~}" SKIP.

        FOR EACH menuitem WHERE menuitem.folderno = folder.folderno NO-LOCK:

            /* MenuItems are actual programs, they are the third level
               so two bars.  Since this is the lowest level, a URL must
               must be called.  Two additional parameters (comma separated)
               are given - URL and window name */ 
            
            {&OUT} "~{||" 
                          menuitem.menuitemname ","
                          menuitem.programname ","
                          "newindow"
                   "~}" SKIP.

        END. /* each menuitem in the folder */

    END. /* each folder in the module */

END. /* each module */

